PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | List of all members
plask::optical::effective::RootBroyden Class Reference

`#include <solvers/optical/effective/broyden.hpp>`

Inheritance diagram for plask::optical::effective::RootBroyden:
[legend]
Collaboration diagram for plask::optical::effective::RootBroyden:
[legend]

## Public Member Functions
| RootBroyden (Solver &solver, const function_type &val_fun, DataLog< dcomplex, dcomplex > &log_value, const Params &pars)
dcomplex | find (dcomplex start) const override
| Search for a single mode starting from the given point: point.
Public Member Functions inherited from plask::optical::effective::RootDigger
| RootDigger (Solver &solver, const function_type &val_fun, DataLog< dcomplex, dcomplex > &log_value, const Params &pars)
virtual | ~RootDigger ()

## Additional Inherited Members
Public Types inherited from plask::optical::effective::RootDigger
enum | Method { ROOT_MULLER , ROOT_BROYDEN , ROOT_BRENT }
| Root finding method. More...
typedef std::function< dcomplex(dcomplex)> | function_type
Static Public Member Functions inherited from plask::optical::effective::RootDigger
static std::unique_ptr< RootDigger > | get (Solver *solver, const function_type &func, DataLog< dcomplex, dcomplex > &detlog, const Params &params)
| Get root digger for given function and params.
static void | readRootDiggerConfig (XMLReader &reader, Params &params)
| Read configuration from xml.
Public Attributes inherited from plask::optical::effective::RootDigger
Params | params
Protected Member Functions inherited from plask::optical::effective::RootDigger
dcomplex | valFunction (dcomplex x) const
Protected Attributes inherited from plask::optical::effective::RootDigger
Solver & | solver
function_type | val_function
DataLog< dcomplex, dcomplex > & | log_value

## Detailed Description

Definition at line 21 of file broyden.hpp.

## Constructor & Destructor Documentation

## ◆ RootBroyden()

plask::optical::effective::RootBroyden::RootBroyden | ( | Solver & | solver,
|  | const function_type & | val_fun,
|  | DataLog< dcomplex, dcomplex > & | log_value,
|  | const Params & | pars
| ) |  |
| inline

Definition at line 45 of file broyden.hpp.

## Member Function Documentation

## ◆ find()

dcomplex plask::optical::effective::RootBroyden::find | ( | dcomplex | start | ) | const
| override virtual

Search for a single mode starting from the given point: point.

Implements plask::optical::effective::RootDigger.

Definition at line 21 of file broyden.cpp.

The documentation for this class was generated from the following files:

- solvers/optical/effective/broyden.hpp
- solvers/optical/effective/broyden.cpp